# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  lib,
  buildNpmPackage,
  sass,
}:

let
  inherit (lib.fileset)
    difference
    maybeMissing
    toSource
    unions
    ;
in

buildNpmPackage {
  pname = "dgnum.eu";
  version = "2.0";

  src = toSource {
    root = ./.;

    fileset = difference ./. (
      unions (
        builtins.map maybeMissing [
          ./.direnv
          ./.envrc
          ./_site
          ./default.nix
          ./node_modules
          ./shell.nix
        ]
      )
    );
  };

  npmDepsHash = "sha256-ORR+FQOjW6aF03McT5vrnnUBFeBDwIiEN0Tru8Aty0E=";

  buildInputs = [ sass ];

  installPhase = ''
    mv _site $out
  '';
}
